Public Class frm_datareport

    Private Sub TextBox2_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles TextBox2.TextChanged
        If Me.TextBox2.Text.Trim.Length = 2 Then
            If TextBox2.Text.Trim.Substring(1, 1) = "/" Then
                TextBox2.Text = "0" & TextBox2.Text.Trim
                TextBox2.SelectionStart = TextBox2.TextLength
            Else
                TextBox2.Text = TextBox2.Text.Trim & "/"
                TextBox2.SelectionStart = TextBox2.TextLength
            End If



        ElseIf Me.TextBox2.Text.Trim.Length = 5 Then
            TextBox2.Text = TextBox2.Text.Trim & "/"
            TextBox2.SelectionStart = TextBox2.TextLength
        End If
    End Sub

    Private Sub frm_datareport_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load

    End Sub
End Class